lists.openwall.net   lists  /  announce  owl-users  owl-dev  john-users  john-dev  passwdqc-users  yescrypt  popa3d-users  /  oss-security  kernel-hardening  musl  sabotage  tlsify  passwords  /  crypt-dev  xvendor  /  Bugtraq  Full-Disclosure  linux-kernel  linux-netdev  linux-ext4  PHC 
Open Source and information security mailing list archives
 
Hash Suite: Windows password security audit tool. GUI, reports in PDF.
[<prev] [next>] [thread-next>] [day] [month] [year] [list]
Date:   Thu, 17 Jan 2019 18:12:08 +0100
From:   Vitaly Kuznetsov <vkuznets@...hat.com>
To:     kvm@...r.kernel.org
Cc:     Paolo Bonzini <pbonzini@...hat.com>,
        Radim Krčmář <rkrcmar@...hat.com>,
        linux-kernel@...r.kernel.org, Liran Alon <liran.alon@...cle.com>
Subject: [PATCH 0/2] x86/kvm/hyper-v: fix KVM_CAP_HYPERV_ENLIGHTENED_VMCS

Commit e2e871ab2f02 ("x86/kvm/hyper-v: Introduce nested_get_evmcs_version()
helper") broke KVM_CAP_HYPERV_ENLIGHTENED_VMCS: the returned evmcs version
is always zero now. Fix the issue and add a check to evmcs selftest.

The offending commit is in 5.0-rc1, it would be great if the fix could be
queued before 5.0.

Vitaly Kuznetsov (2):
  x86/kvm/hyper-v: nested_enable_evmcs() sets vmcs_version incorrectly
  KVM: selftests: check returned evmcs version range

 arch/x86/kvm/vmx/evmcs.c                        | 7 ++++---
 tools/testing/selftests/kvm/x86_64/evmcs_test.c | 6 ++++++
 2 files changed, 10 insertions(+), 3 deletions(-)

-- 
2.20.1

Powered by blists - more mailing lists